import {Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards} from "@nestjs/common";
import {AdminAuthGuard} from "src/core/guards/admin-auth.guard";
import {Constants} from "src/utils/constants";
import { UpdateTermsAndConditionPageCmsDto } from "./dto/update-terms-and-condition-page-cms.dto";
import { TermsAndConditionPageCmsService } from "./terms-and-condition-page-cms.service";

@Controller({path: "terms-and-condition-page-cms", version: Constants.API_VERSION_1})

export class TermsAndConditionPageCmsController {
    constructor(private readonly service: TermsAndConditionPageCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateTermsAndConditionPageCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
