import {Module} from "@nestjs/common";
import {JwtModule} from "@nestjs/jwt";
import {TypeOrmModule} from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import {UsersRepository} from "src/modules/users/user.repository";
import {NewsletterRepository} from "./newsletter.repository";
import {NewsletterController} from "./newsletter.controller";
import {NewsletterService} from "./newsletter.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([NewsletterRepository])
    ],
    controllers: [NewsletterController],
    providers: [NewsletterService, JwtHelper]
})
export class NewsletterModule {}
